package nc.vo.hi.cloud.train;

import com.fasterxml.jackson.annotation.JsonProperty;

import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFDouble;

/**
 * 所有培训课程
 * @author chenzf
 * @date 2022-4-20 16:46:16
 *
 */
public class CloudTrainingContentVO extends SuperVO {
	private String pk_train_content;
	private String contentId;//培训内容id
	private String trainingId;//培训id
	private String thirdSystemUserNo;//讲师第三方系统账号
	private String userNo;//讲师员工编号
	private String userId;//讲师账号
	private String teacherName;//讲师名字
	private String name;//课程名称
	private UFDouble duration;//课程时长（小时）
	private String startDateTime;//开始时间
	private String endDateTime;//结束时间
	private String contentType;//类型：0 线下课程 1 考试 2评价 3 签到 4 签退 （默认0）
	private String catalogName;//课程类别
	private UFDouble totalUser;//参加人数
	private String teacherid;//讲师ID
	private UFDouble avgscore;//考试/评价的平均成绩
	private String courseDesc;//简介
	private String courseDescText;//简介文本
	private String libraryId;//课程ID (空为新建线下课)
	private String trainningType;//培训类型（0：内训、1：外训、2：需求调查、3：新类型的独立调查项目、4：新类型的非独立调查项目、5：内训模版、6：混合式接入内训、7：岗位接入内训、8：认证中心接入内训）
	private String startDate;//课程时间
	@JsonProperty(value = "status")
	private String trainStatus;//status线下培训状态 (0 待发布 1进行中 2 已归档)
	private String ouCode;//创建人部门编号
	private String userName;//创建人账号
	
	public static final String PK_TRAIN_CONTENT = "pk_train_content";
	public static final String CONTENTID = "contentId";
	public static final String TRAININGID = "trainingId";
	public static final String THIRDSYSTEMUSERNO = "thirdSystemUserNo";
	public static final String USERNO = "userNo";
	public static final String USERID = "userId";
	public static final String TEACHERNAME = "teacherName";
	public static final String NAME = "name";
	public static final String DURATION = "duration";
	public static final String STARTDATETIME = "startDateTime";
	public static final String ENDDATETIME = "endDateTime";
	public static final String CONTENTTYPE = "contentType";
	public static final String CATALOGNAME = "catalogName";
	public static final String TOTALUSER = "totalUser";
	public static final String TEACHERID = "teacherid";
	public static final String AVGSCORE = "avgscore";
	public static final String COURSEDESC = "courseDesc";
	public static final String COURSEDESCTEXT = "courseDescText";
	public static final String LIBRARYID = "libraryId";
	public static final String TRAINNINGTYPE = "trainningType";
	public static final String STARTDATE = "startDate";
	public static final String TRAINSTATUS = "trainStatus";
	public static final String OUCODE = "ouCode";
	public static final String USERNAME = "userName";

	public String getPk_train_content() {
		return pk_train_content;
	}
	public void setPk_train_content(String pk_train_content) {
		this.pk_train_content = pk_train_content;
	}
	public String getContentId() {
		return contentId;
	}
	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	public String getTrainingId() {
		return trainingId;
	}
	public void setTrainingId(String trainingId) {
		this.trainingId = trainingId;
	}
	public String getThirdSystemUserNo() {
		return thirdSystemUserNo;
	}
	public void setThirdSystemUserNo(String thirdSystemUserNo) {
		this.thirdSystemUserNo = thirdSystemUserNo;
	}
	public String getUserNo() {
		return userNo;
	}
	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getTeacherName() {
		return teacherName;
	}
	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public UFDouble getDuration() {
		return duration;
	}
	public void setDuration(UFDouble duration) {
		this.duration = duration;
	}
	public String getStartDateTime() {
		return startDateTime;
	}
	public void setStartDateTime(String startDateTime) {
		this.startDateTime = startDateTime;
	}
	public String getEndDateTime() {
		return endDateTime;
	}
	public void setEndDateTime(String endDateTime) {
		this.endDateTime = endDateTime;
	}
	public String getContentType() {
		return contentType;
	}
	public void setContentType(String contentType) {
		this.contentType = contentType;
	}
	public String getCatalogName() {
		return catalogName;
	}
	public void setCatalogName(String catalogName) {
		this.catalogName = catalogName;
	}
	public UFDouble getTotalUser() {
		return totalUser;
	}
	public void setTotalUser(UFDouble totalUser) {
		this.totalUser = totalUser;
	}
	public String getTeacherid() {
		return teacherid;
	}
	public void setTeacherid(String teacherid) {
		this.teacherid = teacherid;
	}
	public UFDouble getAvgscore() {
		return avgscore;
	}
	public void setAvgscore(UFDouble avgscore) {
		this.avgscore = avgscore;
	}
	public String getCourseDesc() {
		return courseDesc;
	}
	public void setCourseDesc(String courseDesc) {
		this.courseDesc = courseDesc;
	}
	public String getCourseDescText() {
		return courseDescText;
	}
	public void setCourseDescText(String courseDescText) {
		this.courseDescText = courseDescText;
	}
	public String getLibraryId() {
		return libraryId;
	}
	public void setLibraryId(String libraryId) {
		this.libraryId = libraryId;
	}
	public String getTrainningType() {
		return trainningType;
	}
	public void setTrainningType(String trainningType) {
		this.trainningType = trainningType;
	}
	public String getStartDate() {
		return startDate;
	}
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}
	public String getTrainStatus() {
		return trainStatus;
	}
	public void setTrianStatus(String trainStatus) {
		this.trainStatus = trainStatus;
	}
	public String getOuCode() {
		return ouCode;
	}
	public void setOuCode(String ouCode) {
		this.ouCode = ouCode;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getParentPKFieldName() {
		return null;
	}
	public String getPKFieldName() {
		return "pk_train_content";
	}

	public String getTableName() {
		return "cloud_train_content";
	}
}
